Subject: bug#52864: sgml-tag inserts newlines

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 29 Dec 2021 19:06:45 +0100

Juri Linkov <[email-masked]> writes:

> All necessary newlines are explicitly defined in skeletons,
> e.g. a block-like div:
>
>   (define-skeleton html-div
>     "HTML div tag."
>     nil
>     "<div>" > \n _ \n "</div>" >)
>
> where ‘>’ at the end inserts a newline too and indents.

Oh, I see.

> Given the examples above, I don't know what the default value should it have,
> maybe nil?  For example, 'texinfo-mode' does this:
>
>   ;; Prevent skeleton.el from adding a newline to each inserted
>   ;; skeleton.  Those which do want a newline do that explicitly in
>   ;; their define-skeleton form.
>   (setq-local skeleton-end-newline nil)

It sounds like we should just do the same in sgml-mode without adding
the new defcustom?  I.e., just set skeleton-end-newline to nil in the
mode function.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no